#include<iostream>
#include<cstdio>
#include<cmath>

using namespace std;;

int n,r[200005],k[200005],a,b,j;
long long z;

int main()
{
//    freopen("test.txt","r",stdin);
    cin>>n;
    for(int i=1;i<=n;i++)
    {
        cin>>a>>b;
        r[a]++;
        k[b]++;
    }
    j=0;
    for(int i=1;i<=n;i++)
    {
        while(r[i]>1)
        {
            do j++; while(j<=n && r[j]!=0);
            if(j>n) break;
            r[i]--;
            z+=abs(i-j);
        }
        if(j>n) break;
    }
    j=0;
    for(int i=1;i<=n;i++)
    {
        while(k[i]>1)
        {
            do j++; while(j<=n && k[j]!=0);
            if(j>n) break;
            k[i]--;
            z+=abs(i-j);
        }
        if(j>n) break;
    }
    cout<<z<<endl;

    return 0;
}
/**
0 0 0 1 0 2 3 0 4 0
6 1  5
7 2  5
7 3  4
9 5  4
9 8  1
9 10 1

5+5+4+4+1+1=20












*/